Subject: Re: bug#51001: 28.0.50; [feature/pgtk] Wrong modifier used as meta with pgtk

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 12 Sep 2022 12:25:53 +0200

Tom Hughes <[email-masked]> writes:

> I have "Meta is mapped to Left Win" selected in gnome-tweak-tool
> which adds "altwin:left_meta_win" to xkb-options in gsettings and
> causes xmodmap (via Xwayland) to report Meta_L as mapped to mod4.
>
> That works fine in a traditional emacs and causes left Alt to be
> recognised as an alt modified but with pgtk left Alt is being
> treated as meta instead and I've been unable to find any way to
> make it be recognised as alt.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

There's been a lot of changes in the input area in Emacs lately -- do
you still see these issues on the current "master" branch?